{
    "name": "sy-svelete-libs",
    "author": "frostime",
    "keywords": [
        "siyuan",
        "plugin",
        "svelte"
    ],
    "version": "0.0.3",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/ypz.open/siyuan/sy-svelte-libs"
    },
    "scripts": {
        "dev": "vite dev",
        "publish": "cd package && npm publish",
        "build": "svelte-kit sync && svelte-package",
        "prepublishOnly": "echo 'Did you mean to publish `./package/`, instead of `./`?' && exit 1",
        "check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
        "check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
        "lint": "prettier --plugin-search-dir . --check . && eslint .",
        "format": "prettier --plugin-search-dir . --write ."
    },
    "devDependencies": {
        "@sveltejs/adapter-auto": "^1.0.0-next.90",
        "@sveltejs/kit": "^1.0.0-next.587",
        "@sveltejs/package": "^1.0.0-next.6",
        "@typescript-eslint/eslint-plugin": "^5.45.0",
        "@typescript-eslint/parser": "^5.45.0",
        "eslint": "^8.28.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-plugin-svelte3": "^4.0.0",
        "prettier": "^2.8.0",
        "prettier-plugin-svelte": "^2.8.1",
        "svelte-check": "^2.9.2",
        "tslib": "^2.4.1",
        "typescript": "^4.9.3",
        "vite": "^4.0.0"
    },
    "dependencies": {
        "siyuan": "^0.7.5",
        "svelte": "^3.54.0"
    },
    "type": "module"
}
